import type { DocumentFeatureFlags } from '../contract/module/DocumentModule';
import type { FaceFeatureFlags } from '../contract/module/FaceModule';
import type { FaceVideoFeatureFlags } from '../contract/module/FaceVideoModule';
import type { FaceMotionFeatureFlags } from '../contract/module/FaceMotionModule';
export type LogLevels = 'debug' | 'info' | 'warning' | 'error' | 'fatal';
export type SdkFeatures = {
    enable_require_applicant_consents?: boolean;
    disable_cross_device_sms?: boolean;
    disable_cross_device_copy_link?: boolean;
    enable_in_house_analytics?: boolean;
    enable_performance_analytics?: boolean;
    enable_document_support_rules?: boolean;
    enable_cobrand?: boolean;
    enable_logo_cobrand?: boolean;
    hide_onfido_logo?: boolean;
    disable_essential_analytics?: boolean;
    disable_behavioural_analytics?: boolean;
    analytics_v2_enabled?: boolean;
    web_allow_source_only_media_callback?: boolean;
    web_enable_cross_device_verification?: boolean;
    web_enable_js_camera_poa?: boolean;
    web_enable_cross_device_qr_refresh?: boolean;
    web_enable_cross_device_confirmation?: boolean;
    use_customized_api_requests?: boolean;
    logger?: {
        enabled?: boolean;
        levels?: LogLevels[];
    };
};
export type ExperimentalFeatures = {
    enable_multi_frame_capture?: boolean;
};
export type FeatureFlags = {
    document_capture?: DocumentFeatureFlags;
    face_selfie_capture?: FaceFeatureFlags;
    face_video_capture?: FaceVideoFeatureFlags;
    motion_capture?: FaceMotionFeatureFlags;
    experimental_features?: ExperimentalFeatures;
    sdk_features?: SdkFeatures;
    device_intelligence?: {
        passive_signals?: Record<string, unknown>;
    };
};
